formatter: markdown table

output:
  file: README.md
  mode: inject
  template: |-
    <!-- BEGIN_TF_DOCS — DO NOT EDIT BELOW THIS LINE -->
    {{ .Content }}
    <!-- END_TF_DOCS — DO NOT EDIT ABOVE THIS LINE -->

sections:
  show:
    - requirements
    - providers
    - modules
    - resources
    - inputs
    - outputs

settings:
  indent: 2
  required: true
  sensitive: true
  default: true
  description: true
  escape: false
  hide-empty: true

sort:
  enabled: true
  by: required
